Index: /main/trunk/gli/src/org/greenstone/gatherer/Gatherer.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 24231)
+++ /main/trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 24232)
@@ -724,5 +728,5 @@
 
 	/** Returns the path of the Greenstone "collect" directory. */
-    static public String getDefaultGSCollectDirectoryPath(boolean appendSeparator) {
+	static public String getDefaultGSCollectDirectoryPath(boolean appendSeparator) {
 		String colDir;
 		if (GS3) {
@@ -730,5 +734,5 @@
 		}
 		else {
-		    colDir = Configuration.gsdl_path + "collect";
+			colDir = Configuration.gsdl_path + "collect";
 		}
 		
@@ -739,70 +743,70 @@
 	}	
 
-    /** Returns the path of the GLI directory. */
-    static public String getGLIDirectoryPath()
-    {
-	return gli_directory_path;
-    }
-
-
-    /** Returns the path of the GLI "metadata" directory. */
-    static public String getGLIMetadataDirectoryPath()
-    {
-	return getGLIDirectoryPath() + "metadata" + File.separator;
-    }
-
-
-    /** Returns the path of the GLI user directory. */
-    static public String getGLIUserDirectoryPath()
-    {
-	return gli_user_directory_path;
-    }
-
-
-    /** Returns the path of the GLI user "cache" directory. */
-    static public String getGLIUserCacheDirectoryPath()
-    {
-	return getGLIUserDirectoryPath() + "cache" + File.separator;
-    }
-
-
-    /** Returns the path of the GLI user "log" directory. */
-    static public String getGLIUserLogDirectoryPath()
-    {
-	return getGLIUserDirectoryPath() + "log" + File.separator;
-    }
-
-
-    static public String getSitesDirectoryPath()
-    {
-	return Configuration.gsdl3_path + "sites" + File.separator;
-    }
-
-
-    static public void setCollectDirectoryPath(String collect_directory_path)
-    {
-	non_standard_collect_directory_path = collect_directory_path;
-	if (!non_standard_collect_directory_path.endsWith(File.separator)) {
-	    non_standard_collect_directory_path = non_standard_collect_directory_path + File.separator;
-	}
-    }
-
-
-    static public void setGLIDirectoryPath(String gli_directory_path_arg)
-    {
-	gli_directory_path = gli_directory_path_arg;
-    }
-
-
-    static public void setGLIUserDirectoryPath(String gli_user_directory_path_arg)
-    {
-	gli_user_directory_path = gli_user_directory_path_arg;
-
-	// Ensure the GLI user directory exists
-	File gli_user_directory = new File(gli_user_directory_path);
-	if (!gli_user_directory.exists() && !gli_user_directory.mkdirs()) {
-	    System.err.println("Error: Unable to make directory: " + gli_user_directory);
-	}
-    }
+	/** Returns the path of the GLI directory. */
+	static public String getGLIDirectoryPath()
+	{
+		return gli_directory_path;
+	}
+
+
+	/** Returns the path of the GLI "metadata" directory. */
+	static public String getGLIMetadataDirectoryPath()
+	{
+		return getGLIDirectoryPath() + "metadata" + File.separator;
+	}
+
+
+	/** Returns the path of the GLI user directory. */
+	static public String getGLIUserDirectoryPath()
+	{
+		return gli_user_directory_path;
+	}
+
+
+	/** Returns the path of the GLI user "cache" directory. */
+	static public String getGLIUserCacheDirectoryPath()
+	{
+		return getGLIUserDirectoryPath() + "cache" + File.separator;
+	}
+
+
+	/** Returns the path of the GLI user "log" directory. */
+	static public String getGLIUserLogDirectoryPath()
+	{
+		return getGLIUserDirectoryPath() + "log" + File.separator;
+	}
+
+
+	static public String getSitesDirectoryPath()
+	{
+		return Configuration.gsdl3_path + "sites" + File.separator;
+	}
+
+
+	static public void setCollectDirectoryPath(String collect_directory_path)
+	{
+		non_standard_collect_directory_path = collect_directory_path;
+		if (!non_standard_collect_directory_path.endsWith(File.separator)) {
+			non_standard_collect_directory_path = non_standard_collect_directory_path + File.separator;
+		}
+	}
+
+
+	static public void setGLIDirectoryPath(String gli_directory_path_arg)
+	{
+		gli_directory_path = gli_directory_path_arg;
+	}
+
+
+	static public void setGLIUserDirectoryPath(String gli_user_directory_path_arg)
+	{
+		gli_user_directory_path = gli_user_directory_path_arg;
+
+		// Ensure the GLI user directory exists
+		File gli_user_directory = new File(gli_user_directory_path);
+		if (!gli_user_directory.exists() && !gli_user_directory.mkdirs()) {
+			System.err.println("Error: Unable to make directory: " + gli_user_directory);
+		}
+	}
 
 
@@ -811,6 +815,6 @@
 		String coldir = defaultColdir;
 		// If local GS and opening a collection outside the standard GS collect folder,
-	    // need to open the non-standard collect folder that the collection resides in
-	    if (!isGsdlRemote 
+		// need to open the non-standard collect folder that the collection resides in
+		if (!isGsdlRemote 
 				&& !open_collection_file_path.startsWith(defaultColdir))
 		{
@@ -819,16 +823,16 @@
 			if(!open_collection_file_path.equals("")) {			
 				if(!open_collection_file_path.endsWith("gli.col")) { // then it's a collect folder
-				    collectFolder = new File(open_collection_file_path);
+					collectFolder = new File(open_collection_file_path);
 				} else {
-				    // the filepath is a gli.col file. To get the collect folder: the 1st level up
-				    // is the collection folder, 2 two levels up is the containing collect folder
-				    collectFolder = new File(open_collection_file_path).getParentFile().getParentFile();
+					// the filepath is a gli.col file. To get the collect folder: the 1st level up
+					// is the collection folder, 2 two levels up is the containing collect folder
+					collectFolder = new File(open_collection_file_path).getParentFile().getParentFile();
 				}	
-			
+				
 				// Need to deal with colgroups as well: while there's an etc/collect.cfg
 				// in the current collectFolder, move one level up
 				String cfg_file = (Gatherer.GS3)? Utility.CONFIG_GS3_FILE : Utility.CONFIG_FILE;
 				if(new File(collectFolder.getAbsolutePath()+File.separator+cfg_file).exists()) { // colgroup
-				    collectFolder = collectFolder.getParentFile();		    
+					collectFolder = collectFolder.getParentFile();		    
 				}
 			}		
@@ -855,31 +859,31 @@
 			if(coldir.equals(defaultColdir)) {				
 				gsdlsite_collecthome = Utility.updatePropertyConfigFile(
-					gsdlsitecfg, "collecthome", null);						
+				gsdlsitecfg, "collecthome", null);						
 			} else {
 				gsdlsite_collecthome = Utility.updatePropertyConfigFile(
-					gsdlsitecfg, "collecthome", coldir); // no file separator
-					// if gsdlsite.cfg does not exist (if using server.exe for instance), the above method will just return
+				gsdlsitecfg, "collecthome", coldir); // no file separator
+				// if gsdlsite.cfg does not exist (if using server.exe for instance), the above method will just return
 			}
 		}		
 	}
-   
-    /** depending on the version of GS being run, return the path to the current GS' installation's gsdl(3)site.cfg */
-    public static String getGsdlSiteConfigFile() {
+
+	/** depending on the version of GS being run, return the path to the current GS' installation's gsdl(3)site.cfg */
+	public static String getGsdlSiteConfigFile() {
 		if(Gatherer.GS3) { // web/WEB-INF/cgi/gsdl3site.cfg
 			return Configuration.gsdl3_path + File.separator + "WEB-INF" 
-				+ File.separator + "cgi" + File.separator + "gsdl3site.cfg";
+			+ File.separator + "cgi" + File.separator + "gsdl3site.cfg";
 		} else { // cgi-bin/gsdlsite.cfg
 			return Configuration.gsdl_path /* + File.separator */
-				+ "cgi-bin" + File.separator + "gsdlsite.cfg";
-		}
-    }
-
-    public static void collectDirectoryHasChanged(
-		String oldCollectPath, String newCollectPath, final Component container) 
+			+ "cgi-bin" + File.separator + "gsdlsite.cfg";
+		}
+	}
+
+	public static void collectDirectoryHasChanged(
+	String oldCollectPath, String newCollectPath, final Component container) 
 	{ 	
 		if(oldCollectPath.equals(newCollectPath)) {
 			return; // nothing to be done
 		}
-	
+		
 		// Will use a busy cursor if the process of changing the collect directory takes more 
 		// than half a second/500ms. See http://www.catalysoft.com/articles/busyCursor.html
@@ -895,8 +899,8 @@
 		try {
 			timer.schedule(timerTask, 500);
-		
+			
 			// first save any open collection in the old location, then close it
 			if(Gatherer.c_man.getCollection() != null) {
-			    Gatherer.g_man.saveThenCloseCurrentCollection(); // close the current collection first
+				Gatherer.g_man.saveThenCloseCurrentCollection(); // close the current collection first
 			}
 			
@@ -904,8 +908,8 @@
 			if(newCollectPath.equals(getDefaultGSCollectDirectoryPath(true))) {
 				Configuration.setString("general.open_collection"+Configuration.gliPropertyNameSuffix(), 
-						true, "");
+				true, "");
 			} else {
 				Configuration.setString("general.open_collection"+Configuration.gliPropertyNameSuffix(), 
-						true, newCollectPath);
+				true, newCollectPath);
 			}
 			Gatherer.setCollectDirectoryPath(newCollectPath);
@@ -922,5 +926,5 @@
 			// This method does nothing for a remote Greenstone.	
 			if(Gatherer.isGsdlRemote) {
-			    return;
+				return;
 			}	
 			
@@ -930,12 +934,12 @@
 			collectDir = collectDir.substring(0, collectDir.length()-1); // remove file separator at end	
 			Utility.updatePropertyConfigFile(getGsdlSiteConfigFile(), "collecthome", collectDir);
-					// if gsdlsite.cfg does not exist (if using server.exe for instance), the above method will just return
+			// if gsdlsite.cfg does not exist (if using server.exe for instance), the above method will just return
 			
 			if(!Gatherer.GS3 && Gatherer.isLocalLibrary) {
-			    // for Images in the collection to work, the apache web server 
-			    // configuration's COLLECTHOME should be updated on collectdir change. 
-			    // Does nothing for server.exe at the moment
-
-			    LocalLibraryServer.reconfigure();
+				// for Images in the collection to work, the apache web server 
+				// configuration's COLLECTHOME should be updated on collectdir change. 
+				// Does nothing for server.exe at the moment
+
+				LocalLibraryServer.reconfigure();
 			}
 		} finally { // Note try-finally section without catch:
